import * as THREE from "three";
import type { ModelLoadContext, ModelLoadFromBufferContext } from "./BaseModelLoader";
import { BaseModelLoader } from "./BaseModelLoader";
export declare class DaeLoader extends BaseModelLoader {
    private readonly manager?;
    readonly id = "loader.builtin.dae";
    readonly priority = 0;
    readonly formats: readonly ["dae"];
    constructor(manager?: THREE.LoadingManager | undefined);
    load(ctx: ModelLoadContext): Promise<THREE.Object3D>;
    loadFromBuffer(ctx: ModelLoadFromBufferContext): Promise<THREE.Object3D>;
    private applyRequestHeader;
}
